RPTools.net

Discussion and Support

Skip to content

It is currently Tue Nov 21, 2017 3:20 am 




Forum rules


Posting now open to all registered forum users.



Reply to topic  [ 11 posts ] 

Previous topic | Next topic 

  Print view

Author Message
 Offline
Giant
 
Joined: Thu Jul 28, 2011 12:06 pm
Posts: 174
 Post subject: Stack overflow error on 1.4.0.5 ??
PostPosted: Fri Jun 30, 2017 7:14 am 
Hi guys, hoping I can get some ideas ... I recall reading that the new 1.4 would eliminate the annoying stack overflow errors ... and for the most part it seems to ..

I currently have 1.3 b89 installed and working and our group is currently "converting" over to 1.4.0.5 now .. and most of us are fine.

We had 1 player hit the stack overflow .. however, she reinstalled latest Java (1.8 ish ) and it worked fine.

The last player, however, is having the issue ... same stack overflow error (while running a macro)

He's tried to reinstall latest Java 1.8 ... but no such luck, still erroring out.

I'm still troubleshooting with him, so don't have all the info ... but I'm just hoping to get ideas to check next time I'm on with him.

I'm still waiting to hear back if he installed 32 bit java or 64 bit ... I "assume" he's on a 64 bit machine .. (Windows 7 last I checked).
but I'll confirm that next time I'm on.

We've tried changing the java memory settings:
2048 Mb Max.
Nothing in Min
32 Mb stack size.

Those settings work fine for me ... and he has a LOT more memory than I do. (like I have 4 Gb, he has something stupid like 32 Gb ... seriously .. O.o )

I'll try to link him to this thread so he can help post info direct if needed ...

would appreciate any ideas ?
Thanks!


File comment: Attached file is the Macro being run throwing the error.
Stats.txt [8.57 KiB]
Downloaded 19 times
Top
 Profile  
 
User avatar  Offline
Deity
 
Joined: Tue Nov 10, 2009 6:11 pm
Posts: 7948
Location: Bay Area
 Post subject: Re: Stack overflow error on 1.4.0.5 ??
PostPosted: Fri Jun 30, 2017 11:57 am 
Typical setting are
2048 max mem
64 min (default)
4 stack

32 seems a bit excessive.

_________________
Downloads:


Top
 Profile  
 
 Offline
Giant
 
Joined: Thu Jul 28, 2011 12:06 pm
Posts: 174
 Post subject: Re: Stack overflow error on 1.4.0.5 ??
PostPosted: Fri Jun 30, 2017 12:03 pm 
aliasmask wrote:
Typical setting are
2048 max mem
64 min (default)
4 stack

32 seems a bit excessive.


that was our settings from previous build ... worked fine ... so I kept it in the new one .. still works fine.

we tried with and without the 32 with our problem PC ... no change .. stack overflow still being thrown.


Top
 Profile  
 
User avatar  Online
Demigod
 
Joined: Sun Feb 25, 2007 11:53 am
Posts: 3774
Location: MD
 Post subject: Re: Stack overflow error on 1.4.0.5 ??
PostPosted: Fri Jun 30, 2017 1:04 pm 
Ditto wrote:
aliasmask wrote:
32 seems a bit excessive.


that was our settings from previous build ... worked fine ... so I kept it in the new one .. still works fine.

That's crazy excessive. It's not all that unusual to start seeing issues when people get over 10. 32 is a time bomb.

Quote:
we tried with and without the 32 with our problem PC ... no change .. stack overflow still being thrown.

We'll need to see the "problem pc's" Help/Gather Debug information.

_________________
Maptool is the Millennium Falcon of VTT's -- "She may not look like much, but she's got it where it counts."


Top
 Profile  
 
 Offline
Giant
 
Joined: Thu Jul 28, 2011 12:06 pm
Posts: 174
 Post subject: Re: Stack overflow error on 1.4.0.5 ??
PostPosted: Fri Jun 30, 2017 1:17 pm 
Full Bleed wrote:
Ditto wrote:
aliasmask wrote:
32 seems a bit excessive.


that was our settings from previous build ... worked fine ... so I kept it in the new one .. still works fine.

That's crazy excessive. It's not all that unusual to start seeing issues when people get over 10. 32 is a time bomb.


again ... I think it's a red herring, really .. as we defaulted to NOT those settings when we first tried him ... so defaults, all around ...
stack overflow ... so then changed to mine settings (which work fine for the rest of us) .. and still same error.

So default Stack size .. of .. whatever it is .. (I guess 2 or 4?) throws the error still.

Quote:

Quote:
we tried with and without the 32 with our problem PC ... no change .. stack overflow still being thrown.

We'll need to see the "problem pc's" Help/Gather Debug information.


I'll get on that ... need to reach out to the other guy :)

Thanks!

(personally - I think it's something wrong with his Java .. or MT not using/seeing the right java ... but I have no idea - which is why I'm here :) )


Top
 Profile  
 
 Offline
Dragon
 
Joined: Mon Mar 23, 2009 3:48 pm
Posts: 326
 Post subject: Re: Stack overflow error on 1.4.0.5 ??
PostPosted: Fri Jun 30, 2017 2:28 pm 
Ditto wrote:
Thanks!

(personally - I think it's something wrong with his Java .. or MT not using/seeing the right java ... but I have no idea - which is why I'm here :) )


Have him open a command line and type
Code:
java -version
, so he can verify that it is using 64 bit java. Sometimes if you have 32-bit java also installed it designates itself as the default. If that's the case, the easiest solution is probably to have him uninstall all but the one version of java that he wants.


Top
 Profile  
 
 Offline
Giant
 
Joined: Thu Jul 28, 2011 12:06 pm
Posts: 174
 Post subject: Re: Stack overflow error on 1.4.0.5 ??
PostPosted: Fri Jun 30, 2017 2:34 pm 
paulstrait wrote:
Ditto wrote:
Thanks!

(personally - I think it's something wrong with his Java .. or MT not using/seeing the right java ... but I have no idea - which is why I'm here :) )


Have him open a command line and type
Code:
java -version
, so he can verify that it is using 64 bit java. Sometimes if you have 32-bit java also installed it designates itself as the default. If that's the case, the easiest solution is probably to have him uninstall all but the one version of java that he wants.


Thanks . yeah .. that's already on the "to do list" ;)

once I get all that info .. I'll add it here.


Top
 Profile  
 
User avatar  Online
Demigod
 
Joined: Sun Feb 25, 2007 11:53 am
Posts: 3774
Location: MD
 Post subject: Re: Stack overflow error on 1.4.0.5 ??
PostPosted: Fri Jun 30, 2017 3:19 pm 
Ditto wrote:
(personally - I think it's something wrong with his Java .. or MT not using/seeing the right java ... but I have no idea - which is why I'm here :) )

There may be... but it may be more significant than that... or a combination of things... for example, he might not be operating with the right memory settings at all. Perople accidentally run MT with "default" memory settings all the time.

The reason I focused on the stack and not the Java install is because *if* you're using a 2048 MAX and he's installed 32 Bit Java... MT won't even run. Nevermind the stack overflow error... you won't get to that.

But if he's running default memory settings (due to how he might be loading MT) *and* 32 bit Java... a taxing macro could throw that error (because it's a 2 stack, when it probably needs at least 4).

The upside is that this is, typically, a simple fix once we have all the right info... which we should have soon enough. ;)

_________________
Maptool is the Millennium Falcon of VTT's -- "She may not look like much, but she's got it where it counts."


Top
 Profile  
 
 Offline
Giant
 
Joined: Mon Aug 03, 2015 5:30 pm
Posts: 213
 Post subject: Re: Stack overflow error on 1.4.0.5 ??
PostPosted: Fri Jun 30, 2017 3:38 pm 
Full Bleed wrote:
But if he's running default memory settings (due to how he might be loading MT) *and* 32 bit Java...


This is worth confirming. If, for instance, he's running 32 bit Java, and he tried the launcher with 2048 max memory, nothing would happen when he tells it to run MT. So, thinking he's set the memory setting, he double clicks on the MT .jar directly, and it launches - but with the default memory settings. (This is what I did, and it was very frustrating to figure it out.)

So confirm that he's starting up MT with the launcher, not directly.


Top
 Profile  
 
 Offline
Giant
 
Joined: Thu Jul 28, 2011 12:06 pm
Posts: 174
 Post subject: Re: Stack overflow error on 1.4.0.5 ??
PostPosted: Fri Jun 30, 2017 9:02 pm 
Roger roger ... was going to confirm the 32 bit vs 64 bit java .. but definitely yes, will confirm that.

Thanks!

In the meantime .. any ideas/suggestions on the code? Anything happen to leap out at anyone as "Oh, this might not be helping!" :)


Top
 Profile  
 
 Offline
Giant
 
Joined: Thu Jul 28, 2011 12:06 pm
Posts: 174
 Post subject: Re: Stack overflow error on 1.4.0.5 ??
PostPosted: Sat Jul 01, 2017 12:26 pm 
Ok ... update time:

Friend got in touch with me (finally) :)
and confirmed Java 32 bit was installed. He uninstalled, and reinstalled 64 bit .. and viola .. all working now ..

Just for future posterity ... "current" java version is 1.8 - ish ..

So I think he's flipped mem settings back to default (if not, I'll suggest he do so) .. since so far, I don't think I've really noticed any effect with those settings with 1.4 once you have Java setup properly :)

Thanks for the help guys, and thanks for all the effort put into MT ... really liking the 1.4 version so far .. and less Java issues :)
(and easier to resolve once you encounter them ... )
I like how 99% of the time it's not MT issue now, it's just purely java issue :)


Top
 Profile  
 
Display posts from previous:  Sort by  
Reply to topic  [ 11 posts ] 

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:

Who is online

In total there is 1 user online :: 0 registered, 0 hidden and 1 guest (based on users active over the past 5 minutes)
Most users ever online was 243 on Sun Nov 04, 2012 6:14 am

Users browsing this forum: No registered users and 1 guest





Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group

Style based on Andreas08 by Andreas Viklund

Style by Elizabeth Shulman